#include <idc.idc>
#include "tms320dm320.idc"
#include "userdata.idc"
#include "names.idc"

static main(void)
{
    Message("Creating tms320dm320 peripheral registers...\n");
    create_io_segments();
    make_io_registers();

    Message("Mapping userdata...\n");
    load_userdata(0x1C00004, 0x1C4B464, 0xB00000, 0xBC0000);

    Message("Loading names...\n");
    load_names("");
}
