#include <idc.idc>

static load_userdata(udstart, udend, segstart, segend)
{
    auto len;
    auto tmp;
    auto addr;
    auto idx;

    SegCreate(segstart, segend, 0, 1, saRelByte, scPub);
    SegRename(segstart, "USER_DATA");
    SegClass (segstart, "DATA");
    SetSegmentType(segstart, SEG_DATA);

	len = 1;
	while ((udstart < udend) && len)
	{
		tmp = 0;
		len = Dword(udstart);
		if (len)
		{
			addr = Dword(udstart + 4);

			idx = 0;
			while (idx < len)
			{
				PatchByte(addr + idx, Byte(udstart + 8 + idx));
				idx = idx + 1;
			}

			tmp = len % 4;
		}
		udstart = udstart + 8 + len;
		if (tmp)
			udstart = udstart + (4-tmp);
	}

    return 0;
}
